package aop.example.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Хранилище альбомов
 * @author Zubairov Renat
 */
public class AlbumList {

	/**
	 * Список альбомов
	 */
	private List albums = new ArrayList();

	/**
	 * Публичный конструктор
	 * формирует заранее определённые альбомы по умолчанию
	 */
	public AlbumList() {
		super();
		albums.add(new Album(new User("user1"), "Picture of <b>user1</b>"));
		albums.add(new Album(new User("user2"), "Picture of <b>user2</b>"));
	}
	
	/**
	 * Добавляет альбомы в список
	 * @param album Альбом который надо добавить
	 * @return
	 */
	public boolean addAlbum(Album album) {
		return albums.add(album);
	}
	
	/**
	 * Удаляет альбомы из списка
	 * @param album
	 * @return
	 */
	public boolean deleteAlbum(Album album) {
		return albums.remove(album);
	}
	
	/**
	 * Поиск альбома по названию.
	 * Т.к. у нас очень простая система то название и есть идентификационное поле
	 * @param title название
	 * @return
	 */
	public Album getAlbumByTitle(String title) {
		return (Album) albums.get(albums.indexOf(new Album(new User(), title)));
	}
	
	/**
	 * Возвращает список альбомов
	 * @return
	 */
	public List getAlbums() {
		return albums;
	}

}
